﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TelpoPush.Ability.Worker.Models.Enum
{
    public enum MqAlarmType : int
    {

        /// <summary>
        /// 求救
        /// </summary>
        SosAlarm = 1,

        /// <summary>
        /// 设备低电量
        /// </summary>
        LowBatteryAlarm = 2,

        /// <summary>
        /// 进入围栏
        /// </summary>
        EnterFenceAlarm = 3,

        /// <summary>
        /// 离开围栏
        /// </summary>
        LeaveFenceAlarm = 4,

        /// <summary>
        /// 设备关机
        /// </summary>
        PoweroffAlarm = 5,

        /// <summary>
        /// 血压
        /// </summary>
        BloodPressAlarm = 6,
        /// <summary>
        /// 血氧
        /// </summary>
        Spo2Alarm = 7,

        /// <summary>
        /// 心率
        /// </summary>
        HeartRateAlarm = 8,

        /// <summary>
        /// 体温
        /// </summary>
        TemperatureAlarm = 9,
        /// <summary>
        /// 心理健康
        /// </summary>
        PsychAlarm = 11,
        /// <summary>
        /// 溺水告警(第三放推送告警通用)
        /// </summary>
        DrownReportAlarm = 10,
        //话单告警
        CallLogAlarm = 12,
        //血压用户资料完善提醒
        BloodPressUserInfoAlarm = 13,
        //血糖告警
        BloodSugarAlarm = 14,

        ////血压用户资料完善提醒
        //FeneAlarm = 14,

        ////云芯报警器报警
        //YunXinAlarm = 15,

    }
}
