﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TelpoPush.Ability.Worker.Models.CacheTemplates
{

    public class PsychAbilityConfigModel
    {
        public string imei { get; set; }
        public string abilityName { get; set; }
        public int enabled { get; set; }
        public int isRoleModel { get; set; }
        public List<PsycTimeAreaItem> time_area { get; set; } //监测时间段
        public reminderSetting reminder_setting { get; set; }// 设备提醒设置
        public int device_display { get; set; } //设备端显示 0否 1是
        public int brightening_screen { get; set; } //是否亮屏 0否 1是
        public int vibrating_screen { get; set; }//是否振动 0否 1是
    }

    public class PsycTimeAreaItem
    {
        public string time { get; set; } //监测时间段
        public int duration { get; set; } //时长
    }

    public class reminderSetting
    {
        public int enable { get; set; }
        public reminderSettingItem setting { get; set; }
    }
    public class reminderSettingItem
    {
        public int depressive { get; set; }
        public int pressure { get; set; }
        public int fatigue { get; set; }
    }
}
