﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TelpoPush.Ability.Worker.Models.MqTemplates.Psych
{
    public class ActionPsychStudy
    {
        public string imei { get; set; }
        public string fileName { get; set; }
    }
    /// <summary>
    /// 1 舒张压,2 收缩压, 3 血氧, 4 心率, 5 步数, 6 卡路里(measure.csv)
    /// </summary>
    public class PsychMeasure
    {
        public long timestamp { get; set; }
        public int type { get; set; }
        public int value { get; set; }
    }
    public class PsychTemperature
    {
        public long timestamp { get; set; }
        public double value { get; set; }
    }
    public class PsychPPG
    {
        public long timestamp { get; set; }
        public List<int> value { get; set; }
    }
    public class PsychMotion
    {
        public long timestamp { get; set; }
        public List<List<double>> value { get; set; }
        public string valueCsvStr { get; set; }
    }
    public class PsychHealthDataInfo
    {
        public long timestamp { get; set; }
        public int index { get; set; }
        public int type { get; set; }   //12 血压, 3 血氧, 4 心率, 5 步数, 6 体温
        public int value { get; set; }
        public int value2 { get; set; }
    }
    public class BiAnRRI
    {
        public List<int> rri { get; set; }
        public int time { get; set; }
        public string uid { get; set; }
    }
    public class BiAnPPG
    {
        public List<int> ppg { get; set; }
        public int time { get; set; }
        public string uid { get; set; }
    }
}
